package com.bytedance.android.live.microom;

import X.M12;
import android.content.Context;
import androidx.fragment.app.DialogFragment;
import com.bytedance.android.live.base.model.user.User;
import com.bytedance.android.livesdk.event.UserProfileEvent;
import com.bytedance.android.livesdkapi.depend.model.live.Room;
import com.bytedance.covode.number.Covode;
import com.bytedance.ies.sdk.widgets.LiveRecyclableWidget;
import java.util.HashMap;
import java.util.Map;

public class MicRoomServiceDummy implements IMicRoomService {
    static {
        Covode.recordClassIndex(9576);
    }

    public String getEnterFromMerge() {
        return "";
    }

    public String getEnterMethod() {
        return "";
    }

    public Class<? extends LiveRecyclableWidget> getMicRoomAnchorTimeControlWidget() {
        return null;
    }

    public Class<? extends LiveRecyclableWidget> getMicRoomAudienceEnterWidget() {
        return null;
    }

    public Class<? extends LiveRecyclableWidget> getMicRoomAudienceExitWidget() {
        return null;
    }

    public Class<? extends LiveRecyclableWidget> getMicRoomBackupTipsWidget() {
        return null;
    }

    public DialogFragment getMicRoomUserInfoDialog(Context context, boolean z, long j, Room room, User user, String str, UserProfileEvent userProfileEvent) {
        M12.LIZ(context);
        return null;
    }

    public Class<? extends LiveRecyclableWidget> getMicRoomUserInfoWidget() {
        return null;
    }

    public boolean isBackUpRoom(Room room) {
        return false;
    }

    public boolean isMicAudience() {
        return false;
    }

    public boolean isMicAudienceForRoom(Room room) {
        return false;
    }

    public boolean isMicRoom() {
        return false;
    }

    public boolean isMicRoomForAnchorNow() {
        return false;
    }

    public boolean isMicRoomForCurrentRoom() {
        return false;
    }

    public boolean isMicRoomForRoom(Room room) {
        return false;
    }

    public void jumpRoom(long j, long j2, boolean z) {
    }

    public void jumpRoom(long j, boolean z) {
    }

    public void onInit() {
    }

    public Map<String, String> getRoomInfo() {
        return new HashMap();
    }
}
